/**
 * common.css
 *
 * Copyright (c) 2003-2008 John Willinsky
 * Distributed under the GNU GPL v2. For full terms see the file docs/COPYING.
 *
 * Site-wide shared stylesheet.
 *
 * $Id: common.css,v 1.7 2009/09/24 17:20:35 tylerl Exp $
 */

/**
 * Common HTML elements
 */

a:link {
	color: #375;
}

a:active {
	color: #253;
}

a:visited {
	color: #375;
}

a:hover {
	color: #253;
	background: #CDC;
}


/**
 * Main layout elements
 */

#header {
	background-color: #f08d22;
        color: white;
}

#footer {
	background-color: #ABA;
}

#main {
	width: 80%;
	margin: 0 auto;
}


/**
 * Access icons and key
 */
#accessKey {
	margin-bottom: 2em;
}

#accessKey img {
	vertical-align: middle;
	margin: 0;
	padding: 0;
}

#content img.accessLogo {
	vertical-align: middle;
	margin: 0;
	padding: 0;
}


/**
 * Navigation bar
 */

#navbar a {
	font-size: 0.65em;
	letter-spacing: 0.05em;
}


/**
 * Announcements
 */

#announcementsHome {
	width: 100%;
	margin: 2em 0 2em 0;	
}

#announcementsHome h3 {
	text-align: center;
}

#announcements {
	width: 100%;
}

#announcements h3 {
	text-align: center;
}

table.announcements {
	width: 100%;
}

table.announcements td {
	padding: 0.25em 0.5em 0.25em 0.5em;
}

table.announcements td.nodata {
	text-align: center;
	font-style: italic;
}

table.announcements td.headseparator {
	border-top: 1px dotted #000;
	font-size: 0.1em;
	line-height: 1%;
}

table.announcements td.endseparator {
	border-top: 1px dotted #000;
	font-size: 0.25em;
	line-height: 10%;
}

table.announcements td.separator {
	border-top: 1px dotted #DDDDD0;
	font-size: 0.1em;
	line-height: 1%;
}

table.announcements tr.intro {
}

table.announcements td.intro {
}

table.announcements tr.title {
	vertical-align: top; 
}

table.announcements td.title {
	width: 85%;
}

table.announcements td.title h4 {
}

table.announcements tr.description {
	vertical-align: top;
}

table.announcements td.description {
	width: 85%;
}

table.announcements tr.details {
	vertical-align: bottom;
}

table.announcements td.posted {
	padding-top: 1em;
	font-style: italic;
}

table.announcements td.more {
	width: 15%;
	text-align: right;
}

table.announcementsMore {
	width: 100%;
}

table.announcementsMore td {
	padding-top: 1.5em;
	text-align: right;
}

/**
 * Homepage image
 */

#homepageImage img {
	display: block;
	margin: 0 auto;
	border: 0;
	text-align: center;
}

.homepageImage img {
	margin: 0 auto;
	border: 0;
	float: left;
	width: 100px;
	margin: 1em 1em 1em 0;
	text-align: center;
}

/**
 * Additional text styles
 */

pre {
	background-color: #F0F0E8;
	color: #000;
	font-size: 1.25em;
}

/**
 * Table styles
 */

table.listing tr.highlight {
	background: yellow;
}

table.listing tr.fastTracked {
	background-color: #ABA;
}

table.listing td.nodata, table.info td.nodata {
	text-align: center;
	font-style: italic;
}


/**
 * Other organizational elements
 */

div.progressbar {
	background-image: url(../templates/images/progbg.gif);
	background-repeat: no-repeat;
	height: 27px;
	width: 505px;
	z-index:1;
}

/**
 * Even/Odd side indicators
 */

div.evenSideIndicator {
	border-left:2px solid #D0D0D0;
}

div.oddSideIndicator {
	border-left:2px solid #e5aa5c;
}

/**
 * New item container
 */

div.newItemContainer {
	border:1px solid #e5aa5c;
	background-color:#FFF8DC;
	margin-left:10%;
	margin-right:10%;
	padding-left:5%;
	padding-right:5%;
	padding-bottom:1%;
}

/**
 * Setup styles
 */

div.flexibleRolesList {
	height:100px;
	width:200px;
	border:1px solid gray;
	overflow:auto;
}